import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { CategoriesFormationsController } from './controllers/categories-formations.controller';
import { CategoriesFormationsService } from './services/categories-formations.service';
import { CategoriesFormations, CategoriesFormationsSchema } from './schemas/categoriesFormations.schema';
import { CategoriesAccompagnementController } from './controllers/categories-accompagnement.controller';
import { CategoriesOthersController } from './controllers/categories-others.controller';
import { CategoriesAccompagnementService } from './services/categories-accompagnement.service';
import { CategoriesOthersService } from './services/categories-others.service';
import { CategoriesOthers, CategoriesOthersSchema } from './schemas/categoriesOthers.schema';
import { CategoriesAccompagnement, CategoriesAccompagnementSchema } from './schemas/categoriesAccompagnement.schema';

@Module({
  imports: [
    MongooseModule.forFeature([
      { name: CategoriesFormations.name, schema: CategoriesFormationsSchema },
      { name: CategoriesAccompagnement.name, schema: CategoriesAccompagnementSchema },
      { name: CategoriesOthers.name, schema: CategoriesOthersSchema },
    ]),
  ],
  controllers: [CategoriesFormationsController, CategoriesAccompagnementController, CategoriesOthersController],
  providers: [CategoriesFormationsService, CategoriesAccompagnementService, CategoriesOthersService],
})
export class CategoriesModule {}
