import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { Week } from './week.schema';

export type StructureDocument = Structure & Document;

@Schema()
export class Structure {
  @Prop()
  id: number;

  @Prop()
  numero: string;

  @Prop()
  dateDeCreation: string;

  @Prop()
  derniereModification: string;

  @Prop()
  nomDeLusager: string;

  @Prop()
  votreStructureEstElle: string;

  @Prop()
  nomDeVotreStructure: string;

  @Prop()
  description: string;

  @Prop()
  activitesMaintenuesDansLeCadreDuConfinement: string;

  @Prop()
  n: string;

  @Prop()
  voie: string;

  @Prop()
  address: string;

  @Prop()
  telephone: string;

  @Prop()
  courriel: string;

  @Prop()
  siteWeb: string;

  @Prop()
  facebook: string;

  @Prop()
  twitter: string;

  @Prop()
  instagram: string;

  @Prop()
  civilite: string;

  @Prop()
  nom: string;

  @Prop()
  prenom: string;

  @Prop()
  fonction: string;

  @Prop()
  accessibilitePersonnesAMobiliteReduitePmr: string;

  @Prop()
  modalitesDacces: string[];

  @Prop()
  labelsEtQualifications: string[];

  @Prop()
  publicsAcceptes: string[];

  @Prop()
  fermeturesExceptionnelles: string;

  @Prop()
  jaccompagneLesUsagersDansLeursDemarchesEnLigne: boolean;

  @Prop()
  accompagnementDesDemarches: string[];

  @Prop()
  autresAccompagnements: string;

  @Prop()
  lesCompetencesDeBase: string[];

  @Prop()
  accesAuxDroits: string[];

  @Prop()
  insertionSocialeEtProfessionnelle: string[];

  @Prop()
  aideALaParentalite: string[];

  @Prop()
  cultureEtSecuriteNumerique: string[];

  @Prop()
  wifiEnAccesLibre: boolean;

  @Prop()
  ordinateurs: boolean;

  @Prop()
  nombre: string;

  @Prop()
  tablettes: boolean;

  @Prop()
  bornesNumeriques: boolean;

  @Prop()
  imprimantes: boolean;

  @Prop()
  precisionsSiNecessaire: string;

  @Prop()
  statutJuridique: string;

  @Prop()
  appartenezVousAUnReseauDeMediation: string;

  @Prop()
  precisezLequel: string;

  @Prop()
  idDeLitemStructureDansDirectus: string;

  @Prop()
  statutDeLitemStructureDansDirectus: string;

  @Prop()
  idDeLitemOffreDansDirectus: string;

  @Prop()
  statut: string;

  @Prop()
  typeDeStructure: string[];

  @Prop()
  commune: string;

  @Prop()
  hours: Week;

  @Prop()
  coord: number[];
}

export const StructureSchema = SchemaFactory.createForClass(Structure);

StructureSchema.index({ '$**': 'text' });
